#include <bits/stdc++.h>
using namespace std;

float povrsina(int x1, int y1, int x2, int y2, int x3, int y3)
{
   return abs((x1*(y2-y3) + x2*(y3-y1)+ x3*(y1-y2))/2.0);
}

bool unutra(int x1, int y1, int x2, int y2, int x3, int y3, int x, int y)
{
   float A = povrsina (x1, y1, x2, y2, x3, y3);
   float A1 = povrsina (x, y, x2, y2, x3, y3);
   float A2 = povrsina (x1, y1, x, y, x3, y3);
   float A3 = povrsina (x1, y1, x2, y2, x, y);
   return (A == A1 + A2 + A3);
}

int main(){
    int n,x[100000],y[100000];
    cin >> n;
    for(int i=0;i<n;i++){
        cin >> x[i] >> y[i];
    }
    if(n==3){
        if(unutra(x[0],y[0],x[1],y[1],x[2],y[2],0,0)){
            cout << 1;
        }
        else{
            cout << 0;
        }
        return 0;
    }
    int ukupno;
    ukupno=0;
    for(int i=1;i<n-1;i++){
        for(int j=i+1;j<n;j++){
            if(unutra(x[0],y[0],x[i],y[i],x[j],y[j],0,0)){
                ukupno++;
            }
        }
    }
    cout << ukupno%1000000007;


}